Skip to main content

Place Order

Response Example

{
"success": true,
"code": 0,
"data": {
"orderId": "739113577038255616",
"ts": 1761888808839
}
}
  • POST /api/v1/private/order/create

Required Permission: Order Placing

Request Parameters:

ParameterTypeRequiredDescription
symbolstringtrueContract
pricedecimaltruePrice
voldecimaltrueQuantity
leverageintfalseLeverage, must be provided when opening a position
sideinttrueOrder direction 1 open long, 2 close short, 3 open short, 4 close long
typeinttrueOrder type,1: limit,2: Post Only (maker only),3: IOC,4: FOK,5: market
openTypeinttrueOpen type,1: isolated,2: cross
externalOidstringfalseExternal order id
positionIdintfalsePosition id
stopLossPricedecimalfalseStop-loss price
takeProfitPricedecimalfalseTake-profit price
lossTrendintfalseStop-loss price type;1: latest price (default);2: fair price;3: index price
profitTrendintfalseTake-profit price type;1: latest price (default);2: fair price;3: index price
priceProtectintfalseConditional order trigger protection: "1","0", default "0" disabled. Required only for plan orders/TP-SL orders
positionModeintfalsePosition mode, default dual-side; 2: one-way; 1: dual-side
reduceOnlybooleanfalseReduce-only, only applicable in one-way mode
marketCeilingbooleanfalse100% market open
flashClosebooleanfalseFlash close
bboTypeNumintfalseLimit order type - BBO type; 0: not BBO;1: opposite-1;2: opposite-5;3: same-side-1;4: same-side-5;
stpModenumberfalseSelf-trade prevention mode: 0 no action; 1 cancel both taker and maker orders; 2 cancel maker orders only; 3 cancel taker orders only

Response Parameters:

On success, success = true and data is an object containing orderId (string) and ts (Unix millisecond timestamp of the server response); on failure, success = false and data = null